By using AWS re:Post, you agree to the Terms of Use

Corretto 11 with Tomcat 8.5 AL2 version 4.2.9 Updates for latest log4j hotpatch 1.1-12

0

Corretto 11 with Tomcat 8.5 AL2 version 4.2.9 was recently released including the log4j-cve-2021-44228-hotpatch.noarch 1.1-9-amzn2 patch however our deployments are failing. Standalone AL2 Tomcat 8.5 builds outside of Elastic Beanstalks succeed since they include 1.1-12.amzn2 log4j patch. How can I find out when Corretto 11 with Tomcat 8.5 AL2 version 4.2.9 will be updated to include 1.1-12.amzn2 patch. We are on hold for all production deployments until the Beanstalk AMI is updated.

asked 9 months ago56 views
1 Answer
0

Guess you have already solved this issue, but just in case. We have just moved to Tomcat 8.5 Correto 11 4.2.11 and our deployments work just fine. We had the same issue 2 months ago with Tomcat 8.5 Correto 11 4.2.9 and had to stick with Tomcat 8.5 Correto 11 4.2.8 till the problem was solved.

answered 7 months ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions